package com.kmall.admin.dao;


import com.kmall.admin.entity.FreightEntity;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * Dao
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-22 15:18:16
 */
public interface FreightDao extends BaseDao<FreightEntity> {
    Integer queryMaxId();

    List<FreightEntity> queryEntity(Map<String, Object> map);

    FreightEntity queryObjectByName(@Param("defaultFreight")String defaultFreight,@Param("merchSn")String merchSn);
    List<FreightEntity> queryObjectByStoreId(@Param("storeId") Long storeId);

    FreightEntity queryFreightByDefaultFreightAndStoreId(@Param("defaultFreight")String defaultFreight, @Param("storeId") Long storeId);
}
